/*********************************************
 * Logo Slider
**********************************************/
.ifs-logo-slider {
    --ls-group-height:176px;
    --ls-gap:24px;
    --line-url:url(data:image/svg+xml;base64,PHN2ZyBpZD0iTGF5ZXJfMSIgZGF0YS1uYW1lPSJMYXllciAxIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA5LjczIDE0NC4yNSI+PGRlZnM+PHN0eWxlPi5jbHMtMXtmaWxsOiNmZmY7b3BhY2l0eTowO30uY2xzLTJ7ZmlsbDojMDU4MDQwO30uY2xzLTN7ZmlsbDojYzVjNWMxO308L3N0eWxlPjwvZGVmcz48cmVjdCBjbGFzcz0iY2xzLTEiIHdpZHRoPSI5LjczIiBoZWlnaHQ9IjE0NC4yNSIvPjxwYXRoIGNsYXNzPSJjbHMtMiIgZD0iTTkuNzMsNzIuMTNIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTFIMFY0Mkg5LjczWm0wLTIuOTJIMFYzOUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWm0wLTIuOTJIMHYtMUg5LjczWiIvPjxwYXRoIGNsYXNzPSJjbHMtMyIgZD0iTTkuNzMsMTQ0LjI1SDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkxSDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkxSDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1ptMC0yLjkySDB2LTFIOS43M1oiLz48L3N2Zz4=);

    border-top:1px solid var(--ifs-color-gray-1); border-bottom:1px solid var(--ifs-color-gray-1);
    padding-left:var(--ifs-gap-side); padding-right:var(--ifs-gap-side);
}
.ifs-logo-slider__items {gap:14px; padding-bottom:var(--ifs-spacing-48)}

/* group */
.ifs-logo-slider__group {
    --ls-show:1;
    --ls-width:calc(100% / var(--ls-show));
}
.ifs-logo-slider__group.group-0 {width:calc(67% - 14px);}
.ifs-logo-slider__group.group-1 {width:33%;}

/* group > vertical line */
.ifs-logo-slider__group .vertical-line {
    width:0; height:calc(100% + var(--ifs-spacing-48));
    border-left:1px dashed rgba(197, 197, 193);
}
.ifs-logo-slider__group .vertical-line:before,
.ifs-logo-slider__group .vertical-line:after {
    content:"";
    width:1px; height:var(--ifs-spacing-48);
    position:absolute; left:-1px; z-index:1;
}
.ifs-logo-slider__group .vertical-line:before {
    top:0; background:linear-gradient(to top, rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 1) 150%);
}
.ifs-logo-slider__group .vertical-line:after {
    bottom:0; background:linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 1) 120%)
}

/* group > heading */
.ifs-logo-slider__group-heading {min-height:var(--ifs-spacing-48); padding:5px 12px; gap:9px;}
.ifs-logo-slider__group-heading i.square {width:6px;}

/* group > slider */
.ifs-logo-slider__group-slider {border:1px solid rgba(197, 197, 193); padding:32px 16px; height:calc(100% - var(--ifs-spacing-48))}
.ifs-logo-slider__group-items {margin:0 calc(-1 * var(--ls-gap) / 2); min-height:var(--ls-group-height)}
.ifs-logo-slider__item {
    height:var(--ls-group-height);width:var(--ls-width); padding:0 calc(var(--ls-gap) / 2);
    gap:8px 0;
}
.ifs-logo-slider__item-logo {aspect-ratio:133/62; max-width:25%; max-height:calc(var(--ls-group-height) / 2); padding:8px;}

/* group > slider > dots */
body .ifs-logo-slider .flickity-page-dots {position:absolute; bottom:-19px; padding-top:0}
body .ifs-logo-slider .flickity-page-dot.disabled-dot {display:none;}
body .ifs-logo-slider .flickity-page-dots:has(.disabled-dot.is-selected) .flickity-page-dot:last-child {
    background:var(--ifs-color-dark-green);
}

/* group > first */
.group-0 .ifs-logo-slider__group-items {max-width:87%; margin-left:auto; margin-right:auto}

/* group > last */
.ifs-logo-slider__group.group-1 {
    --ls-gap:100px;
}
.group-1 .ifs-logo-slider__group-slider {overflow:hidden;}
.group-1 .ifs-logo-slider__item-logo {aspect-ratio:160/72; width:50%; max-width:unset}

/* vertical line with background */
.ifs-logo-slider__items:before {
    content:"";
    width:10px; height:calc(100% - var(--ifs-spacing-48));
    background-image:var(--line-url); background-repeat:repeat-y;
    background-position:bottom; background-size:contain;
    position:absolute; top:0; right:calc(33% + 2px);
}

/* has 1 group */
.ifs-logo-slider:not(:has(.group-1)) {--ls-group-height:240px;}
.ifs-logo-slider:not(:has(.group-1)) .ifs-logo-slider__items:before {display:none;}
.ifs-logo-slider:not(:has(.group-1)) .ifs-logo-slider__group.group-0 {width:100%;}


/*********************************************
 * Logo Slider Responsive
**********************************************/
@media only screen and (min-width:1800px) {
    .ifs-logo-slider {
        --ls-group-height:clamp(176px, 11vw, 600px);
        --ls-gap:clamp(24px, 1.8vw, 200px);
    }
    .ifs-logo-slider__group-slider {padding:clamp(32px, 2vw, 700px) 20px;}

    body .ifs-logo-slider .flickity-page-dots {bottom:-1.25vw;}
    body .ifs-logo-slider .flickity-page-dot {width:round(down, 0.55vw, 1px); height:round(down, 0.55vw, 1px);}

    .ifs-logo-slider__group.group-1 {
        --ls-gap:clamp(100px, 3.6vw, 900px);
    }

    /* has 1 group */
    .ifs-logo-slider:not(:has(.group-1)) {
        --ls-gap:clamp(24px, 1.8vw, 200px);
    }

}
@media only screen and (max-width:1360px) {
    .ifs-logo-slider__group-slider {padding:40px var(--ifs-gap-container);}

    /* group > first */
    .group-0 .ifs-logo-slider__group-items {max-width:100%}

    /* group > last */
    .ifs-logo-slider__group.group-1 {
        --ls-gap:calc(var(--ifs-gap-container) * 2);
    }

    body .ifs-logo-slider .flickity-page-dots {bottom:-25px;}
}
@media only screen and (max-width:1180px) {
    .ifs-logo-slider {--ls-gap:var(--ifs-gap-container)}
    .ifs-logo-slider__items {gap:var(--ifs-gap-container)}
    .ifs-logo-slider__item {padding:0;}
    .ifs-logo-slider__group:first-child {width:calc(67% - var(--ifs-gap-container) / 2)}
}
@media only screen and (max-width:920px) {
    .ifs-logo-slider__group {
        width:calc(50% - var(--ifs-gap-container) / 2) !important;
    }

    /* first group */
    .ifs-logo-slider__group.group-0 {--ls-gap:calc(var(--ifs-gap-container) * 2);}
    .group-0 .ifs-logo-slider__group-items {max-width:unset; margin:0 calc(-1 * var(--ls-gap) / 2);}
    .group-0 .ifs-logo-slider__item-logo {width:50%; max-width:unset;}

    /* vertical line with background */
    .ifs-logo-slider__items:before {
        right:50%; transform:translateX(50%);
    }
}
@media only screen and (max-width:540px) {
    .ifs-logo-slider {--ls-group-height:150px;}
    .ifs-logo-slider__items {flex-direction:column;gap:0; padding-bottom:var(--ifs-gap-container)}
    .ifs-logo-slider__group {
        --ifs-spacing-48:40px;
        width:100% !important;
    }
    .ifs-logo-slider__group .vertical-line {height:100%;}
    .ifs-logo-slider__group .vertical-line:before, .ifs-logo-slider__group .vertical-line:after {opacity:0;}
    .ifs-logo-slider__item-logo {padding:4px;}

    .ifs-logo-slider__items:before {display:none;}
}